Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReport

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReport

    public class cmdReport
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReport.ReportSummary` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdReport()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `PrintXreport​(cmdReport.ReportSummary reportSummary)` |
  `int` | `PrintZreport​(cmdReport.ReportSummary reportSummary)` |
  `void` | `ReportFMByDates​(boolean reportFull, java.lang.String startDate, java.lang.String endDate)` | Fiscal memory report by date
  `void` | `ReportFMByZReports​(boolean reportFull, java.lang.String startNum, java.lang.String endNum)` | Fiscal memory report by number of Z-report
  `void` | `ReportOperators​(java.lang.String fromOperator, java.lang.String toOperator, boolean clear)` | Report operators
  `void` | `ReportPLU​(java.lang.String fromPLU, java.lang.String toPLU, int reportType)` | PLU report

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdReport

    public cmdReport()

- ## Method Details

  - ### PrintXreport

    public int PrintXreport​(cmdReport.ReportSummary reportSummary) throws java.io.IOException, FiscalException
    Parameters:
      `reportSummary` - Total sum accumulated by TAX group X - fiscal operations ( 0.00...9999999.99 or 0...999999999 depending dec point position )
    Returns:
      Number of Z-report (1...1825 or 3650);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### PrintZreport

    public int PrintZreport​(cmdReport.ReportSummary reportSummary) throws java.io.IOException, FiscalException
    Parameters:
      `reportSummary` - Total sum accumulated by TAX group X - fiscal operations ( 0.00...9999999.99 or 0...999999999 depending dec point position )
    Returns:
      Number of Z-report (1...1825 or 3650);
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### ReportFMByDates

    public void ReportFMByDates​(boolean reportFull, java.lang.String startDate, java.lang.String endDate) throws java.io.IOException, FiscalException
    Fiscal memory report by date
    Parameters:
      `reportFull` - - true - detailed; false - short;
      `startDate` - - Start date. Default: Date of fiscalization ( format DD-MM-YY );
      `endDate` - - End date. Default: Current date ( format DD-MM-YY );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### ReportFMByZReports

    public void ReportFMByZReports​(boolean reportFull, java.lang.String startNum, java.lang.String endNum) throws java.io.IOException, FiscalException
    Fiscal memory report by number of Z-report
    Parameters:
      `reportFull` - - true - detailed; false - short;
      `startNum` - - First block in the report. Default: 1;
      `endNum` - - Last block in the report. Default: number of last Z report;
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### ReportOperators

    public void ReportOperators​(java.lang.String fromOperator, java.lang.String toOperator, boolean clear) throws java.io.IOException, FiscalException
    Report operators
    Parameters:
      `fromOperator` - First operator. Default: 1 (1...30); (V2)
      `toOperator` - - Last operator. Default: Maximum operator number (1...30); (V2)
      `clear` - Clear registers for operators if true. (V2)
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### ReportPLU

    public void ReportPLU​(java.lang.String fromPLU, java.lang.String toPLU, int reportType) throws java.io.IOException, FiscalException
    PLU report
    Parameters:
      `fromPLU` - - First PLU in the report (1...3000). Default: 1;
      `toPLU` - - Last PLU in the report (1...3000). Default: Maximum PLU in the FPr;
      `reportType` - - Type of report; o '0' - PLU turnovers; o '1' - PLU turnovers with clearing; (V2) o '2' - PLU parameters; (V2) o '3' - PLU stock; (V2)
    Throws:
      `java.io.IOException`
      `FiscalException`